#!/bin/sh

src=$(dirname "$(realpath "$0")")
backup=/home/root/backup-instant-logging.tar.gz
newlist=/home/root/new-instant-logging.lst
title="Instant logging"

if test -f $backup; then
  echo "Extracting backup..."
  cd /
  tar -xzf $backup
  rm $backup
  if test -f $newlist; then
	rm $(< $newlist)
	rm $newlist
  fi
  echo "$title removed."
else
  echo "Creating backup..."
  cd "$src"
  files=$(find usr -type f)
  for f in $files; do
	if test -f /$f; then
	  old_files="$old_files $f"
	else
	  new_files="$new_files $f"
	fi
	if test ${f##*.} == py; then
	  py_files="$py_files $f"
	  if test -f /${f}o; then
		old_files="$old_files ${f}o"
	  fi
	fi
  done
  if test "$new_files"; then
	echo $new_files >$newlist
  fi
  cd /
  tar -czf $backup $old_files

  echo "Copying files..."
  cp -R "$src"/usr/* /usr

  echo "$title installed."
fi
